@rem Run via launch configuration from within WUDSN IDE to see the full logs.
@echo off
call Make-Settings.bat

cd %BASE_DIR%

rem Make main file
call :make IVI256RA
call :make %RELEASE%
copy .\atr\files\%RELEASE%.xex .

echo Creating disk image.
set ATR=%RELEASE%.atr
atr\hias\dir2atr.exe -m -b MyDos4534 %ATR% atr\files
echo Done.

if NOT X%1==XSTART goto :eof
start %ATR%
goto :eof

:make
cd asm
echo Compiling %1.
set EXECUTABLE=..\atr\files\%1.xex

%MADS% %1.asm -l -o:%EXECUTABLE% %2 %3
if ERRORLEVEL 1 goto :compile_error
cd ..
goto :eof

:compile_error
echo ERROR: Compilation errors occurred. Check error messages above.
exit
